Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 528907 - buglet in php template
Summary: buglet in php template
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmdevtools
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-14 10:08 UTC by Mads Kiilerich
Modified: 2010-03-09 03:32 UTC (History)
1 user (show)

Fixed In Version: rpmdevtools-7.8-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-09 03:32:17 UTC
Type: ---


Attachments (Terms of Use)

Description Mads Kiilerich 2009-10-14 10:08:31 UTC
Description of problem:

/usr/bin/rpmdev-newspec -t php-pear php-pear-Net_IMAP
creates a spec with
%global pear_name $(echo %{name} | sed -e 's/^php-pear-//' -e 's/-/_/g')


--- /etc/rpmdevtools/spectemplate-php-pear.spec.org	2009-10-14 12:07:00.000000000 +0200
+++ /etc/rpmdevtools/spectemplate-php-pear.spec	2009-10-14 12:07:11.000000000 +0200
@@ -1,5 +1,5 @@
 %{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
-%global pear_name $(echo %{name} | sed -e 's/^php-pear-//' -e 's/-/_/g')
+%global pear_name %(echo %{name} | sed -e 's/^php-pear-//' -e 's/-/_/g')
 
 Name:           
 Version:        


Version-Release number of selected component (if applicable):

rpmdevtools-7.5-1.fc11.noarch

Comment 2 Bug Zapper 2009-11-16 13:39:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2010-02-03 21:04:10 UTC
rpmdevtools-7.7-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpmdevtools-7.7-1.fc12

Comment 4 Fedora Update System 2010-02-05 01:16:40 UTC
rpmdevtools-7.7-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmdevtools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1418

Comment 5 Fedora Update System 2010-02-15 22:31:07 UTC
rpmdevtools-7.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpmdevtools-7.8-1.fc12

Comment 6 Fedora Update System 2010-02-15 22:39:09 UTC
rpmdevtools-7.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpmdevtools-7.8-1.fc11

Comment 7 Fedora Update System 2010-02-18 22:22:59 UTC
rpmdevtools-7.8-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmdevtools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0003

Comment 8 Fedora Update System 2010-03-09 03:13:56 UTC
rpmdevtools-7.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-03-09 03:32:04 UTC
rpmdevtools-7.8-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.